## org.eclipse.m2m.atl.engine.asm
Class ASMOperation.LineNumberEntry

    java.lang.Object
      org.eclipse.m2m.atl.engine.asm.ASMOperation.LineNumberEntry

Enclosing class:
  ASMOperation

    public class ASMOperation.LineNumberEntry

extends java.lang.Object

Field Summary
`int` `begin`
`int` `end`
`java.lang.String` `id`

Constructor Summary
`ASMOperation.LineNumberEntry(java.lang.String id, int begin, int end)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    public java.lang.String id

### begin

    public int begin

### end

    public int end

Constructor Detail

### ASMOperation.LineNumberEntry

    public ASMOperation.LineNumberEntry(java.lang.String id,
                                        int begin,
                                        int end)

Copyright 2007 IBM Corporation and others. All Rights Reserved.